.\"xruler man
.TH XRULER 1X
.SH NAME
xruler \- a vertical or horizontal transparent ruler or grid
.SH SYNOPSIS
.B
xruler
.RB [ -h
.IR height ]
.RB [ -w
.IR width ]
.RB [ -l
.IR linewidth ]
.RB [ -tl
.IR ticklength ]
.RB [ -grid ]
.RB [ -t
.IR "tickinterval ..." ]
.SH DESCRIPTION
.B xruler
creates a shaped window in the form of a ruler with intervals marked
by ticks.
The ruler can be vertical, horizontal or both, or be a rectangular grid.
The window can be positioned over other windows to ease measuring
estimates.
.P
A foreground colour can be specified, for example, by the resource line

	xruler*foreground: red

in the .Xdefaults file or xrdb database.
.SH OPTIONS
All values are in pixels.
.TP
-h
is followed by the height of the vertical ruler.
.TP
-w
is followed by the width of the horizontal ruler.
.TP
-l
is followed by the width of the lines used to draw the ruler.
This defaults to 2 for rulers and 1 for grids.
.TP
-t
is followed by a list of tick intervals.
The default is 50 and 25.
When more than one interval is specified the length of the later ones
is 75% of the previous one.
.TP
-tl
is followed by the length of the largest tick.
If more than one tick interval is specified, the length of later ones
is 75% of the previous one.
.TP
-grid
The ticklength is ignored and a grid of the given height and width
is produced.
Neither height nor width can be defaulted.
.SH LIMITATIONS
The shape extension must exist in the server.
xbiff and atobm must be in the PATH.
.SH AUTHOR
Copyright 1992 Mark M Martin. Cetia. France. 

Anyone may use, copy, distribute, sell this script provided the above
copyright is kept in it.
No implied warranty or fitness for purpose.

email: mmm@cetia.fr
